Subject: Re: bug#52265: Wishlist: Behavior of rectangles when last line is short

From: Alan Third <[email-masked]>
Date: Sat, 4 Dec 2021 21:18:21 +0000

On Sat, Dec 04, 2021 at 12:06:52AM +0100, Tor Kringeland wrote:
> Suppose we have the following text
> 
> text123
> more text
> text
> first
> second
> third  
> 
> and want to turn it into
> 
> text123,first
> more text,second	
> text,third
> 
> using rectangles.  This is problematic since the last line is shorter
> than the two before.  A solution to this [1] is to add spaces at the end
> of the last line until it becomes the longest, mark the last three lines
> with POINT being at the end of the spaces and then kill the rectangle.
> Since the first line is shorter than the two following, one has to add
> spaces here as well to make it the longest.

Try C-x SPC, that should put you into a rectangle mode which lets you
specify a rectangle that extends past the end of the line.

-- 
Alan Third